> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Release

> Delete a PackageRelease

A Package may have one or more <em>PackageReleases</em>. A PackageRelease is
the coordinated publication of one or more Packages for the Package having the
same Version string.

A PackageRelease is uniquely identified by the combination of the Package UUID
or Package Alias and a version string separated by an <b>@<b> character.

Example PackageRelease identifiers:

* <b>helm-chkk-operator@0.0.13</b>: the Chkk Operator Helm Chart Package Alias of
  <b>helm-chkk-operator</b> with a version string of <b>0.0.13</b>
* <b>pkg_aae8471b-cf66-41d0-b72b-b44d3278d35a@1.24.12</b>: the Package UUID of the
  Cilium Helm Chart and the version string <b>1.24.12</b>
* <b>helm-kube-prometheus-stack@65.4.0</b>: the Kube Prometheus Helm Chart Package
  Alias of <b>helm-kube-prometheus-stack</b> with a version string of <b>65.4.0</b>

A PackageRelease can have zero or more Changes associated with it that describe
the bug fixes and new features that were included in the PackageRelease.




## OpenAPI

````yaml delete /packages/{package}/releases/{release}/
openapi: 3.1.0
info:
  description: >

    The Chkk Artifact Register API exposes information about the artifacts in a

    customer's clusters.


    Data models exposed in the Chkk Artifact Register API include:


    * <b>Organization</b>: the top-level object that models a Chkk customer.

    * <b>Account</b>: a container for resource ownership within an Organization.

    * <b>KubePlatform</b>: describes things like the cloud infrastructure
    provider
      and the control plane provider.
    * <b>KubeCluster</b>: a single cluster provisioned by a
      KubePlatform.
    * <b>KubeClusterScan</b>: a single Chkk scan of a cluster.

    * <b>KubeClusterResource</b>: a single Resource
      (Deployment, DaemonSet or StatefulSet) from a KubeClusterScan.
    * <b>KubeClusterResourceContainer</b>: a single container record in a
      KubeClusterResource.
    * <b>Project</b>: software that provides some functionality.

    * <b>ProjectReleaseSeries</b>: a single release series for a Project.

    * <b>ProjectRelease</b>: a single release for a Project.

    * <b>ProjectVersionSet</b>: a configuration, layout or structure of a
    Project
      that is consistent for a range of ProjectReleases.
    * <b>ProjectComponent</b>: a separate binary, daemon, or subsystem of a
      Project.
    * <b>Package</b>: a named bundle of software that is bundled (and
      identified) in the format of a specific PackageSystem.
    * <b>PackageRelease</b>: a single release for a Package.

    * <b>PackageVersionSet</b>: a configuration, layout or structure of a
    Package
      that is consistent for a range of PackageReleases.
    * <b>OCIRepository</b>: a single namespace within an OCI Registry.

    * <b>OCIArtifact</b>: a single OCI Artifact (manifest) that describes an OCI
      Image or other OCI Artifact.
    * <b>OCITag</b>: a name that points to a unique OCIArtifact within an
      OCIRepository.
    * <b>OCIReference</b>: a relationship between an OCITag and an OCIArtifact.

    * <b>RiskSignature</b>: the source of a <em>potential</em>
      availability or operational risk for a customer.
    * <b>Risk</b>: a <em>detected</em> RiskSignature for an Account.

    * <b>UpgradeTemplate</b>: detailed instructions for upgrading or migrating a
      KubeCluster or an installed part of a KubeCluster. 
  title: Chkk API
  version: '1.0'
servers: []
security: []
paths:
  /packages/{package}/releases/{release}/:
    delete:
      tags:
        - Package
      summary: Delete Release
      description: >
        Delete a PackageRelease


        A Package may have one or more <em>PackageReleases</em>. A
        PackageRelease is

        the coordinated publication of one or more Packages for the Package
        having the

        same Version string.


        A PackageRelease is uniquely identified by the combination of the
        Package UUID

        or Package Alias and a version string separated by an <b>@<b> character.


        Example PackageRelease identifiers:


        * <b>helm-chkk-operator@0.0.13</b>: the Chkk Operator Helm Chart Package
        Alias of
          <b>helm-chkk-operator</b> with a version string of <b>0.0.13</b>
        * <b>pkg_aae8471b-cf66-41d0-b72b-b44d3278d35a@1.24.12</b>: the Package
        UUID of the
          Cilium Helm Chart and the version string <b>1.24.12</b>
        * <b>helm-kube-prometheus-stack@65.4.0</b>: the Kube Prometheus Helm
        Chart Package
          Alias of <b>helm-kube-prometheus-stack</b> with a version string of <b>65.4.0</b>

        A PackageRelease can have zero or more Changes associated with it that
        describe

        the bug fixes and new features that were included in the PackageRelease.
      operationId: package-release-delete
      responses:
        '204':
          description: No Content
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````